## r-bioc-scran 1.18.5%2Bdfsg

=== debian/changelog ===
r-bioc-scran (1.18.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 06 Feb 2021 16:35:24 +0100

r-bioc-scran (1.18.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 Feb 2021 15:06:43 +0100

r-bioc-scran (1.18.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Try building on "any" architecture.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Jan 2021 17:57:30 +0100

r-bioc-scran (1.18.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace.
  * debian/control: only build for architectures where the autopkgtests pass

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Jan 2021 13:44:21 +0100

r-bioc-scran (1.18.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Turn off autopkgtest-pkg-r as it isn't picking up on a
    needed dependency.
  * debian/tests/control: add missing g++ and libpcg-cpp-dev test dependency
  * debian/upstream/metadata: add links to their GitHub repository.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Nov 2020 08:59:17 +0100

r-bioc-scran (1.18.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debian/control: add build-dep on r-bioc-scuttle and r-bioc-bluster
  * Standards-Version: 4.5.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 23 Nov 2020 22:49:30 +0100

r-bioc-scran (1.16.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fixed debian/watch for BioConductor
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Oct 2020 11:52:02 +0100

r-bioc-scran (1.16.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #970004)

 -- Steffen Moeller <moeller@debian.org>  Thu, 10 Sep 2020 01:57:49 +0200

## r-bioc-scran 1.18.5+dfsg

=== DESCRIPTION ===
Package: scran
Version: 1.18.5
Date: 2021-02-03
Title: Methods for Single-Cell RNA-Seq Data Analysis
Description: 
    Implements miscellaneous functions for interpretation of single-cell RNA-seq data.
    Methods are provided for assignment of cell cycle phase, detection of highly
    variable and significantly correlated genes, identification of marker genes,
    and other common tasks in routine single-cell analysis workflows.
Authors@R: 
    c(person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"), 
    person("Karsten", "Bach", role = "aut"),
    person("Jong Kyoung", "Kim", role = "ctb"), 
    person("Antonio", "Scialdone", role="ctb"))
Depends: SingleCellExperiment
Imports: SummarizedExperiment, S4Vectors, BiocGenerics, BiocParallel,
        Rcpp, stats, methods, utils, Matrix, scuttle, edgeR, limma,
        BiocNeighbors, igraph, statmod, DelayedArray,
        DelayedMatrixStats, BiocSingular, bluster, dqrng, beachmat
Suggests: testthat, BiocStyle, knitr, HDF5Array, scRNAseq,
        dynamicTreeCut, DESeq2, monocle, Biobase, pheatmap, scater
biocViews: ImmunoOncology, Normalization, Sequencing, RNASeq, Software,
        GeneExpression, Transcriptomics, SingleCell, Visualization,
        BatchEffect, Clustering
LinkingTo: Rcpp, beachmat, BH, dqrng, scuttle
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/scran
git_branch: RELEASE_3_12
git_last_commit: 1287359
git_last_commit_date: 2021-02-04
Date/Publication: 2021-02-04
Packaged: 2021-02-05 03:21:25 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Karsten Bach [aut],
  Jong Kyoung Kim [ctb],
  Antonio Scialdone [ctb]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/control ===
Source: r-bioc-scran
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment,
               r-bioc-summarizedexperiment,
               r-bioc-s4vectors,
               r-bioc-biocgenerics,
               r-bioc-biocparallel,
               r-cran-rcpp,
               r-cran-matrix,
               r-bioc-edger,
               r-bioc-limma,
               r-bioc-biocneighbors,
               r-cran-igraph,
               r-cran-statmod,
               r-bioc-delayedarray,
               r-bioc-delayedmatrixstats,
               r-bioc-biocsingular,
               r-cran-dqrng,
               r-bioc-beachmat,
               r-cran-bh,
               libpcg-cpp-dev,
               r-bioc-scuttle,
               r-bioc-bluster
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scran
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scran.git
Homepage: https://bioconductor.org/packages/scran/
Rules-Requires-Root: no

Package: r-bioc-scran
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor methods for single-cell RNA-Seq data analysis
 Implements functions for low-level analyses of single-cell RNA-seq data.
 Methods are provided for normalization of cell-specific biases,
 assignment of cell cycle phase, detection of highly variable and
 significantly correlated genes, identification of marker genes, and
 other common tasks in routine single-cell analysis workflows.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, g++, libpcg-cpp-dev, r-cran-testthat, r-bioc-deseq2, r-bioc-monocle, r-cran-dynamictreecut
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/scran.html .*/scran_(.*).tar.gz

## r-bioc-scran 1.22.1+dfsg

=== DESCRIPTION ===
Package: scran
Version: 1.22.1
Date: 2021-11-11
Title: Methods for Single-Cell RNA-Seq Data Analysis
Description: 
    Implements miscellaneous functions for interpretation of single-cell RNA-seq data.
    Methods are provided for assignment of cell cycle phase, detection of highly
    variable and significantly correlated genes, identification of marker genes,
    and other common tasks in routine single-cell analysis workflows.
Authors@R: 
    c(person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"), 
    person("Karsten", "Bach", role = "aut"),
    person("Jong Kyoung", "Kim", role = "ctb"), 
    person("Antonio", "Scialdone", role="ctb"))
Depends: SingleCellExperiment, scuttle
Imports: SummarizedExperiment, S4Vectors, BiocGenerics, BiocParallel,
        Rcpp, stats, methods, utils, Matrix, edgeR, limma, igraph,
        statmod, DelayedArray, DelayedMatrixStats, BiocSingular,
        bluster, metapod, dqrng, beachmat
Suggests: testthat, BiocStyle, knitr, rmarkdown, HDF5Array, scRNAseq,
        dynamicTreeCut, ResidualMatrix, ScaledMatrix, DESeq2, monocle,
        Biobase, pheatmap, scater
biocViews: ImmunoOncology, Normalization, Sequencing, RNASeq, Software,
        GeneExpression, Transcriptomics, SingleCell, Clustering
LinkingTo: Rcpp, beachmat, BH, dqrng, scuttle
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 7.1.2
git_url: https://git.bioconductor.org/packages/scran
git_branch: RELEASE_3_14
git_last_commit: db835e3
git_last_commit_date: 2021-11-12
Date/Publication: 2021-11-14
Packaged: 2021-11-14 12:44:01 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Karsten Bach [aut],
  Jong Kyoung Kim [ctb],
  Antonio Scialdone [ctb]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-scran (1.22.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 22:23:11 +0100

r-bioc-scran (1.20.1+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * d/t/autopkgtest-pkg-r.hook: Trigger hook to skip a couple of tests if
    r-bioc-residualmatrix is not available
    + r-bioc-residualmatrix is in new, this hook can be dropped after that
      gets in. Not removing the hook should not break autopkgtests either.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 24 Sep 2021 02:11:50 +0530

r-bioc-scran (1.20.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  TODO: r-bioc-metapod (ITP #994167 in new)

  [ Nilesh Patra ]
  * d/control: Add B-D on r-bioc-metapod

 -- Nilesh Patra <nilesh@debian.org>  Mon, 13 Sep 2021 23:59:04 +0530

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -15,7 +16,6 @@
                r-cran-matrix,
                r-bioc-edger,
                r-bioc-limma,
-               r-bioc-biocneighbors,
                r-cran-igraph,
                r-cran-statmod,
                r-bioc-delayedarray,
@@ -26,8 +26,9 @@
                r-cran-bh,
                libpcg-cpp-dev,
                r-bioc-scuttle,
-               r-bioc-bluster
-Standards-Version: 4.5.1
+               r-bioc-bluster,
+               r-bioc-metapod
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scran
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scran.git
 Homepage: https://bioconductor.org/packages/scran/

## r-bioc-scran 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: scran
-Version: 1.22.1
+Version: 1.24.0
 Date: 2021-11-11
 Title: Methods for Single-Cell RNA-Seq Data Analysis
 Description: 
@@ -29,11 +29,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/scran
-git_branch: RELEASE_3_14
-git_last_commit: db835e3
-git_last_commit_date: 2021-11-12
-Date/Publication: 2021-11-14
-Packaged: 2021-11-14 12:44:01 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: c3f9e16
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 22:04:19 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Karsten Bach [aut],
   Jong Kyoung Kim [ctb],

=== debian/changelog ===
r-bioc-scran (1.24.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 09:39:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-scran
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scran
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scran.git
+Homepage: https://bioconductor.org/packages/scran/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -28,11 +32,7 @@
                r-bioc-scuttle,
                r-bioc-bluster,
                r-bioc-metapod
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scran
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scran.git
-Homepage: https://bioconductor.org/packages/scran/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-scran
 Architecture: any

## r-bioc-scran 1.26.2%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: scran
-Version: 1.24.0
-Date: 2021-11-11
+Version: 1.26.2
+Date: 2022-09-08
 Title: Methods for Single-Cell RNA-Seq Data Analysis
 Description: 
     Implements miscellaneous functions for interpretation of single-cell RNA-seq data.
@@ -29,11 +29,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/scran
-git_branch: RELEASE_3_15
-git_last_commit: c3f9e16
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 22:04:19 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 0cdaef6
+git_last_commit_date: 2023-01-19
+Date/Publication: 2023-01-19
+Packaged: 2023-01-19 23:02:18 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Karsten Bach [aut],
   Jong Kyoung Kim [ctb],

## r-bioc-scran 1.26.2+dfsg

=== debian/changelog ===
r-bioc-scran (1.26.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 15:04:21 +0100

r-bioc-scran (1.26.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2022 17:35:48 +0100

r-bioc-scran (1.26.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 18:27:17 +0100

r-bioc-scran (1.24.1+dfsg-2) unstable; urgency=medium

  * Disable reprotest
  * Sync Test-Depends with Suggests from DESCRIPTION

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 14:38:46 +0200

r-bioc-scran (1.24.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 09:00:07 +0200

## r-bioc-scran 1.28.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: scran
-Version: 1.26.2
-Date: 2022-09-08
+Version: 1.28.2
+Date: 2023-07-21
 Title: Methods for Single-Cell RNA-Seq Data Analysis
 Description: 
     Implements miscellaneous functions for interpretation of single-cell RNA-seq data.
@@ -29,11 +29,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/scran
-git_branch: RELEASE_3_16
-git_last_commit: 0cdaef6
-git_last_commit_date: 2023-01-19
-Date/Publication: 2023-01-19
-Packaged: 2023-01-19 23:02:18 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: d325843
+git_last_commit_date: 2023-07-21
+Date/Publication: 2023-07-23
+Packaged: 2023-07-23 22:26:12 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Karsten Bach [aut],
   Jong Kyoung Kim [ctb],

=== debian/changelog ===
r-bioc-scran (1.28.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Skip single test on i386
  * Do not test on architecture ppc64el at all

 -- Andreas Tille <tille@debian.org>  Wed, 16 Aug 2023 17:24:25 +0200

r-bioc-scran (1.28.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 07:01:01 +0200

## r-bioc-scran 1.30.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scran
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scran.git
 Homepage: https://bioconductor.org/packages/scran/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-scran 1.30.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: scran
-Version: 1.28.2
-Date: 2023-07-21
+Version: 1.30.2
+Date: 2024-01-19
 Title: Methods for Single-Cell RNA-Seq Data Analysis
 Description: 
     Implements miscellaneous functions for interpretation of single-cell RNA-seq data.
@@ -29,11 +29,12 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/scran
-git_branch: RELEASE_3_17
-git_last_commit: d325843
-git_last_commit_date: 2023-07-21
-Date/Publication: 2023-07-23
-Packaged: 2023-07-23 22:26:12 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: f01bc21
+git_last_commit_date: 2024-01-20
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-22
+Packaged: 2024-01-23 00:05:17 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Karsten Bach [aut],
   Jong Kyoung Kim [ctb],

=== debian/changelog ===
r-bioc-scran (1.30.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2024 19:49:45 +0100

r-bioc-scran (1.30.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 07:43:25 +0100

## r-bioc-scran 1.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: scran
-Version: 1.30.2
-Date: 2024-01-19
+Version: 1.32.0
+Date: 2024-03-02
 Title: Methods for Single-Cell RNA-Seq Data Analysis
 Description: 
     Implements miscellaneous functions for interpretation of single-cell RNA-seq data.
@@ -18,8 +18,8 @@
         statmod, DelayedArray, DelayedMatrixStats, BiocSingular,
         bluster, metapod, dqrng, beachmat
 Suggests: testthat, BiocStyle, knitr, rmarkdown, HDF5Array, scRNAseq,
-        dynamicTreeCut, ResidualMatrix, ScaledMatrix, DESeq2, monocle,
-        Biobase, pheatmap, scater
+        dynamicTreeCut, ResidualMatrix, ScaledMatrix, DESeq2, pheatmap,
+        scater
 biocViews: ImmunoOncology, Normalization, Sequencing, RNASeq, Software,
         GeneExpression, Transcriptomics, SingleCell, Clustering
 LinkingTo: Rcpp, beachmat, BH, dqrng, scuttle
@@ -29,12 +29,12 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/scran
-git_branch: RELEASE_3_18
-git_last_commit: f01bc21
-git_last_commit_date: 2024-01-20
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-22
-Packaged: 2024-01-23 00:05:17 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: 03deb61
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 05:58:10 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Karsten Bach [aut],
   Jong Kyoung Kim [ctb],

=== debian/changelog ===
r-bioc-scran (1.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:17:28 +0200

r-bioc-scran (1.32.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 16:37:29 +0200

r-bioc-scran (1.32.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 10:52:58 +0200

=== debian/control ===
--- 
+++ 
@@ -11,34 +11,49 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-singlecellexperiment,
-               r-bioc-summarizedexperiment,
-               r-bioc-s4vectors,
-               r-bioc-biocgenerics,
-               r-bioc-biocparallel,
+               r-bioc-singlecellexperiment (>= 1.26.0),
+               r-bioc-scuttle (>= 1.14.0),
+               r-bioc-summarizedexperiment (>= 1.34.0),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-biocparallel (>= 1.38.0),
                r-cran-rcpp,
                r-cran-matrix,
-               r-bioc-edger,
-               r-bioc-limma,
+               r-bioc-edger (>= 4.2.0),
+               r-bioc-limma (>= 3.60.3),
                r-cran-igraph,
                r-cran-statmod,
-               r-bioc-delayedarray,
-               r-bioc-delayedmatrixstats,
-               r-bioc-biocsingular,
+               r-bioc-delayedarray (>= 0.30.1),
+               r-bioc-delayedmatrixstats (>= 1.26.0),
+               r-bioc-biocsingular (>= 1.20.0),
+               r-bioc-bluster (>= 1.14.0),
+               r-bioc-metapod (>= 1.12.0),
                r-cran-dqrng,
-               r-bioc-beachmat,
+               r-bioc-beachmat (>= 2.20.0),
                r-cran-bh,
                libpcg-cpp-dev,
-               r-bioc-scuttle,
-               r-bioc-bluster,
-               r-bioc-metapod
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-scran
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-singlecellexperiment (>= 1.26.0),
+         r-bioc-scuttle (>= 1.14.0),
+         r-bioc-summarizedexperiment (>= 1.34.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-biocparallel (>= 1.38.0),
+         r-bioc-edger (>= 4.2.0),
+         r-bioc-limma (>= 3.60.3),
+         r-bioc-delayedarray (>= 0.30.1),
+         r-bioc-delayedmatrixstats (>= 1.26.0),
+         r-bioc-biocsingular (>= 1.20.0),
+         r-bioc-bluster (>= 1.14.0),
+         r-bioc-metapod (>= 1.12.0),
+         r-bioc-beachmat (>= 2.20.0)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: BioConductor methods for single-cell RNA-Seq data analysis

## r-bioc-scran 1.34.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: scran
-Version: 1.32.0
-Date: 2024-03-02
+Version: 1.34.0
+Date: 2024-09-05
 Title: Methods for Single-Cell RNA-Seq Data Analysis
 Description: 
     Implements miscellaneous functions for interpretation of single-cell RNA-seq data.
@@ -15,11 +15,11 @@
 Depends: SingleCellExperiment, scuttle
 Imports: SummarizedExperiment, S4Vectors, BiocGenerics, BiocParallel,
         Rcpp, stats, methods, utils, Matrix, edgeR, limma, igraph,
-        statmod, DelayedArray, DelayedMatrixStats, BiocSingular,
+        statmod, MatrixGenerics, S4Arrays, DelayedArray, BiocSingular,
         bluster, metapod, dqrng, beachmat
-Suggests: testthat, BiocStyle, knitr, rmarkdown, HDF5Array, scRNAseq,
-        dynamicTreeCut, ResidualMatrix, ScaledMatrix, DESeq2, pheatmap,
-        scater
+Suggests: testthat, BiocStyle, knitr, rmarkdown, DelayedMatrixStats,
+        HDF5Array, scRNAseq, dynamicTreeCut, ResidualMatrix,
+        ScaledMatrix, DESeq2, pheatmap, scater
 biocViews: ImmunoOncology, Normalization, Sequencing, RNASeq, Software,
         GeneExpression, Transcriptomics, SingleCell, Clustering
 LinkingTo: Rcpp, beachmat, BH, dqrng, scuttle
@@ -27,14 +27,16 @@
 NeedsCompilation: yes
 VignetteBuilder: knitr
 SystemRequirements: C++11
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.2
+URL: https://github.com/MarioniLab/scran/
+BugReports: https://github.com/MarioniLab/scran/issues
 git_url: https://git.bioconductor.org/packages/scran
-git_branch: RELEASE_3_19
-git_last_commit: 03deb61
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 05:58:10 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: a517459
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-30 02:46:48 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Karsten Bach [aut],
   Jong Kyoung Kim [ctb],

## r-bioc-scran 1.34.0+dfsg

=== debian/changelog ===
r-bioc-scran (1.34.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Skip the autopkgtests if the dependencies are unsatisfiable, like on
    s390x.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 14:16:57 +0100

r-bioc-scran (1.34.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 21:34:03 +0100

r-bioc-scran (1.34.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 14:31:43 +0100

=== debian/control ===
Source: r-bioc-scran
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-scran
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-scran.git
Homepage: https://bioconductor.org/packages/scran/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment,
               r-bioc-scuttle,
               r-bioc-summarizedexperiment,
               r-bioc-s4vectors,
               r-bioc-biocgenerics,
               r-bioc-biocparallel,
               r-cran-rcpp,
               r-cran-matrix,
               r-bioc-edger,
               r-bioc-limma,
               r-cran-igraph,
               r-cran-statmod,
               r-bioc-matrixgenerics,
               r-bioc-s4arrays,
               r-bioc-delayedarray,
               r-bioc-biocsingular,
               r-bioc-bluster,
               r-bioc-metapod,
               r-cran-dqrng,
               r-bioc-beachmat,
               r-cran-bh,
               libpcg-cpp-dev,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-scran
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor methods for single-cell RNA-Seq data analysis
 Implements functions for low-level analyses of single-cell RNA-seq data.
 Methods are provided for normalization of cell-specific biases,
 assignment of cell cycle phase, detection of highly variable and
 significantly correlated genes, identification of marker genes, and
 other common tasks in routine single-cell analysis workflows.
